FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000841FL52.2 Subprogram FLUC (CONV)public2016-12-23 14:012017-02-16 10:07
ReporterFalk Reichbott 
Assigned ToTilo Eckert 
PrioritynormalSeverityminorReproducibilitysometimes
StatusresolvedResolutionfixed 
PlatformSystem zOSz/OSOS VersionV2R20
Product Version5.1.12 
Target Version5.1.15Fixed in Version5.1.14 
Summary0000841: Sometimes wrong XML with a '1' somewhere in die XML stream is generated
DescriptionAt write of XML wrong character '1' CP 0x31 is in the data. The written XML file is not schema conform in such case.
Additional InformationVerdacht ist, dass hier ein write dies verursacht.

#define FMTXML_TRUE 0x31
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001087)
Falk Reichbott (administrator)
2017-02-15 16:36

The copy of the rest buffer was missing in the finalize function at read of XML data. Dataelements are collacted up to a certain maximal length. If a block ends with data elements and the maximal length is not reached, then this rest is saved and copied in front of the next block. This copy was missing in the finalise function used for the last block. The result in this case was andefined. Means the sporadic '1' was based on the data in the memory which was not initialised with the remaining rest.

- Issue History
Date Modified Username Field Change
2016-12-23 14:01 Falk Reichbott New Issue
2016-12-23 14:01 Falk Reichbott Status new => assigned
2016-12-23 14:01 Falk Reichbott Assigned To => Tilo Eckert
2017-01-25 10:45 Tilo Eckert Status assigned => feedback
2017-02-15 16:36 Falk Reichbott Note Added: 0001087
2017-02-15 16:36 Falk Reichbott Status feedback => assigned
2017-02-15 16:36 Falk Reichbott Status assigned => resolved
2017-02-15 16:36 Falk Reichbott Fixed in Version => 5.1.15
2017-02-15 16:36 Falk Reichbott Resolution open => fixed
2017-02-16 10:07 Falk Reichbott Fixed in Version 5.1.15 => 5.1.14


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker